Sets the training algorithm

- « fann_set_train_stop_function

- fann_set_weight_array »

- PHP Manual
- Fann Functions
- Sets the training algorithm

# fann_set_training_algorithm

(PECL fann >= 1.0.0)

fann_set_training_algorithm — Sets the training algorithm

### Description

fann_set_training_algorithm(resource `$ann`, int `$training_algorithm`): bool

Sets the training algorithm.

More info available in fann_get_training_algorithm().

### Parameters

`ann`

  Neural network resource.

`training_algorithm`

  Training algorithm constant

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_get_training_algorithm() - Returns the training algorithm